안드로이드 이클립스를 통해 기기에 앱 설치할 때 오류 해결방법

프로그래밍|2014.11.11 20:30

안드로이드 이클립스를 통해 기기에 앱 설치할 때 오류 해결방법

스마트폰이 점점 최신 기종이 나오면서 버전 업그레이드도 점차 확대되고 있습니다. 더군다나 예전에 있는 버전도 호환되게 사용을 하여야 하는데, 코딩을 하고 테스트를 할 때 간혹 가다가 예전 기기에 앱을 설치시에 오류가 날 때가 있습니다. 코딩 시에 Manifast.xml에 버전을 높에 주어서 나오는 에러입니다. 수정을 하고 다시 스마트폰 연결된 상태에서 Run As를 하면 예전 기기에서도 설치가 될 것입니다.




위와 같이 Launch cancaled!라는 빨간 메세지가 나타난다면 오른쪽 프로젝트 창에서 해당 프로젝트에서 Manifast.xml파일을 열어봅니다.


위와 같이 소스코드로 구성이 되어있는데 주로 환경에 관련된 설정을 할 수가 있습니다. 위와 같이 빨간 오류가 나타나지 않게 할려면 처음 부분에 uses-sdk부분에 android:minSdkVersion 에 8로 입력을 한 뒤에 저장을 하고 다시 스마트폰을 연결을 한 상태에서 Run As를 해보시길 바랍니다. 스마트폰 내에서도 호환이 될 것입니다.

댓글(0)